Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ClusterConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, DeployedItemRefConfigCR, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess, ResourceRefConfigCR, ServerRefConfigCR, SystemPropertiesAccess

public interface ClusterConfig
extends PropertiesAccess, SystemPropertiesAccess, NamedConfigElement, Container, ResourceRefConfigCR, ServerRefConfigCR, DeployedItemRefConfigCR

Configuration for the <cluster> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.SystemPropertiesAccess
`SYSTEM_PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Fields inherited from interface com.sun.appserv.management.config.ServerRefConfigCR
`DISABLE_TIMEOUT_IN_MINUTES_KEY, ENABLED_KEY, LB_ENABLED_KEY`

Fields inherited from interface com.sun.appserv.management.config.DeployedItemRefConfigCR
`DISABLE_TIMEOUT_IN_MINUTES_KEY, ENABLED_KEY, LB_ENABLED_KEY, REF_KEY, VIRTUAL_SERVERS_KEY`

Method Summary
`java.util.Map` | `getClusteredServerConfigMap()`
`java.util.Map` | `getDeployedItemRefConfigMap()` Calls Container.getContaineeMap( XTypes.DEPLOYED_ITEM_REF_CONFIG ).
`java.lang.String` | `getReferencedConfigName()` Get the name of the config element referenced by this cluster.
`java.util.Map` | `getResourceRefConfigMap()` Calls Container.getContaineeMap( XTypes.RESOURCE_REF_CONFIG ).
`java.util.Map` | `getServerRefConfigMap()` Calls Container.getContaineeMap( XTypes.SERVER_REF_CONFIG ).

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.config.SystemPropertiesAccess
`createSystemProperty, existsSystemProperty, getSystemProperties, getSystemPropertyNames, getSystemPropertyValue, removeSystemProperty, setSystemPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Methods inherited from interface com.sun.appserv.management.config.ResourceRefConfigCR
`createResourceRefConfig, createResourceRefConfig, createResourceRefConfig, removeResourceRefConfig`

Methods inherited from interface com.sun.appserv.management.config.ServerRefConfigCR
`createServerRefConfig, createServerRefConfig, removeServerRefConfig`

Methods inherited from interface com.sun.appserv.management.config.DeployedItemRefConfigCR
`createDeployedItemRefConfig, createDeployedItemRefConfig, createDeployedItemRefConfig, removeDeployedItemRefConfig`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getReferencedConfigName

    public java.lang.String getReferencedConfigName()

  Get the name of the config element referenced by this cluster.

### getServerRefConfigMap

    public java.util.Map getServerRefConfigMap()

  Calls Container.getContaineeMap( XTypes.SERVER_REF_CONFIG ).

  Returns:
    Map of ServerRefConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getResourceRefConfigMap

    public java.util.Map getResourceRefConfigMap()

  Calls Container.getContaineeMap( XTypes.RESOURCE_REF_CONFIG ).

  Returns:
    Map of ResourceRefConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getDeployedItemRefConfigMap

    public java.util.Map getDeployedItemRefConfigMap()

  Calls Container.getContaineeMap( XTypes.DEPLOYED_ITEM_REF_CONFIG ).

  Returns:
    Map of DeployedItemRefConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getClusteredServerConfigMap

    public java.util.Map getClusteredServerConfigMap()

  Returns:
    Map of ClusteredServerConfig, keyed by name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.